# Netlify SDK

Welcome to the Netlify SDK, the toolset for developing Netlify Extensions!

Netlify Extensions expand the capabilities of the Netlify platform and streamline developer workflows. For example:

* Custom data source for Netlify Connect and Netlify Visual Editor. Sync and edit data between Netlify and any data source including third-party services and proprietary solutions.
* Content generation. Create sitemaps, RSS feeds, or search indexes as part of the build process.
* Quality assurance. Check for broken links in a site after the build completes but before the site is deployed.
* Runtime observability. Monitor serverless function activity with an extension wrapper.
* Installation process automation. Simplify the workflow for developers using your service with Netlify by doing things like generating required environment variables automatically instead of asking users to set them manually.
* Run on-demand, server-side code without a dedicated server. Leverage serverless functions, including background and scheduled functions, to add APIs and services to sites.
* Security or performance optimizations added at the network edge. Leverage Edge Functions to add extra bot and fraud protection, cache optimizations, and more.

These are just a few examples of how you can accelerate your business and contribute to the composable architecture ecosystem with Netlify Extensions built using the Netlify SDK.

## Getting started

To create a new extension with the Netlify SDK, run the create command using npm, pnpm, or yarn.

```
pnpm create @netlify/sdk@latest
```

Read the next steps to create your extension [in our official documentation](https://developers.netlify.com/sdk/get-started/create-a-new-extension).
