export const createExtensionEndpointFetch = ({ fetch = globalThis.fetch, ...options }) => {
    return (endpoint, init) => {
        const extensionUrl = `https://${options.extension.id}.netlify.app`;
        const endpointUrl = new URL(endpoint, extensionUrl);
        const headers = new Headers(init?.headers);
        headers.set("Nf-UIExt-Extension-Id", options.extension.id);
        headers.set("Nf-UIExt-Extension-Slug", options.extension.slug);
        if (options.netlifyToken != null && options.netlifyToken !== "") {
            headers.set("Nf-UIExt-Netlify-Token", options.netlifyToken);
        }
        if (options.netlifyTokenIssuer) {
            headers.set("Nf-UIExt-Netlify-Token-Issuer", options.netlifyTokenIssuer);
        }
        if (options.siteId != null && options.siteId !== "") {
            headers.set("Nf-UIExt-Site-Id", options.siteId);
        }
        if (options.teamId != null && options.teamId !== "") {
            headers.set("Nf-UIExt-Team-Id", options.teamId);
        }
        return fetch(endpointUrl, {
            ...init,
            headers,
        });
    };
};
//# sourceMappingURL=extension_endpoint_fetch.js.map